Loading...
Searching...
No Matches

## dlapy3()

double precision function dlapy3 | ( | double precision | x,
|  | double precision | y,
|  | double precision | z )

DLAPY3 returns sqrt(x2+y2+z2).

Download DLAPY3 + dependencies [TGZ] [ZIP] [TXT]

Purpose:

      !>
      !> DLAPY3 returns sqrt(x**2+y**2+z**2), taking care not to cause
      !> unnecessary overflow and unnecessary underflow.
      !>

Parameters

  [in]

  X

      !>          X is DOUBLE PRECISION
      !>

  [in]

  Y

      !>          Y is DOUBLE PRECISION
      !>

  [in]

  Z

      !>          Z is DOUBLE PRECISION
      !>          X, Y and Z specify the values x, y and z.
      !>

Author
  Univ. of Tennessee
  Univ. of California Berkeley
  Univ. of Colorado Denver
  NAG Ltd.